<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Servicio-soldado</title>
    </h:head>
    <h:body>
        <ui:include src="menu.xhtml"/>
        <p:fieldset legend="Agregar un servicio al soldado">
            <h:form id="formServicio_soldado">
                <h:panelGrid columns="2">
                    <p:outputLabel value="Seleccione un soldado"/>
                    <p:selectOneMenu value="#{servicio_SoldadoController.soldado.idsoldado}">
                        <f:selectItems value="#{soldadoController.soldadoList}"  var="soldado" itemLabel="#{soldado.nombre}" itemValue="#{soldado.idsoldado}"/>
                    </p:selectOneMenu>
                    <p:outputLabel value="Seleccione servicio del soldado"/>
                    <p:selectOneMenu value="#{servicio_SoldadoController.servicio.idservicio}">
                        <f:selectItems value="#{servicioController.lista}"  var="servicio" itemLabel="#{servicio.servicio}" itemValue="#{servicio.idservicio}"/>
                    </p:selectOneMenu>
                    <p:outputLabel value="Fecha"/>
                    <p:calendar value="#{servicio_SoldadoController.servicio_Soldado.fecha}" pattern="yyyy-MM-dd" required="true"/>
                  
                    <p:commandButton rendered="#{servicio_SoldadoController.servicio_Soldado.fecha==null}" actionListener="#{servicio_SoldadoController.insertar()}" value="Guardar" update=":listaServicioSoldado,:formServicio_soldado"/>
                    <p:commandButton rendered="#{servicio_SoldadoController.servicio_Soldado.fecha!=null}" actionListener="#{servicio_SoldadoController.actualizar()}" value="Actualizar" update=":listaServicioSoldado,:formServicio_soldado"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <br/>
        <br/>
        <p:fieldset legend="Lista de soldados con su servicio">
            <h:form id="listaServicioSoldado">
                <p:dataTable value="#{servicio_SoldadoController.lista}" var="solservicio" paginator="true" rows="5">
                    <p:column headerText="Soldado">
                        <p:outputLabel value="#{solservicio.idsoldado.nombre}"/>
                    </p:column>
                    <p:column headerText="Servicio">
                        <p:outputLabel value="#{solservicio.idservicio.servicio}"/>
                    </p:column>
                    <p:column headerText="Fecha">
                        <p:outputLabel value="#{solservicio.fecha}">
                            <f:convertDateTime pattern="yyyy-MM-dd"/>
                        </p:outputLabel>
                    </p:column>
                    <p:column headerText="Acciones">
                        <p:commandButton value="Eliminar" actionListener="#{servicio_SoldadoController.eliminar(solservicio)}" update=":listaServicioSoldado"/>
                        <p:commandButton value="Editar" actionListener="#{servicio_SoldadoController.consultarById(solservicio)}" update=":formServicio_soldado"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>

